org.apache.xerces.util

## Class ErrorHandlerProxy

- java.lang.Object
- - org.apache.xerces.util.ErrorHandlerProxy

- All Implemented Interfaces:
    org.xml.sax.ErrorHandler

      public abstract class ErrorHandlerProxy
      extends java.lang.Object
      implements org.xml.sax.ErrorHandler

  Wraps `XMLErrorHandler` and make it look like a SAX `ErrorHandler`.

  The derived class should override the `getErrorHandler()` method so that it will return the correct `XMLErrorHandler` instance. This method will be called whenever an error/warning is found.

  Experience shows that it is better to store the actual `XMLErrorHandler` in one place and looks up that variable, rather than copying it into every component that needs an error handler and update all of them whenever it is changed, IMO.

  Version:
    $Id: ErrorHandlerProxy.java 447241 2006-09-18 05:12:57Z mrglavas $
  Author:
    Kohsuke Kawaguchi (kohsuke.kawaguchi@sun.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorHandlerProxy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(org.xml.sax.SAXParseException e)` Receive notification of a recoverable error.
    `void` | `fatalError(org.xml.sax.SAXParseException e)` Receive notification of a non-recoverable error.
    `protected abstract org.apache.xerces.xni.parser.XMLErrorHandler` | `getErrorHandler()`
    `void` | `warning(org.xml.sax.SAXParseException e)` Receive notification of a warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorHandlerProxy

          public ErrorHandlerProxy()

  - ### Method Detail

    - #### error

          public void error(org.xml.sax.SAXParseException e)
                     throws org.xml.sax.SAXException

      Description copied from interface: `org.xml.sax.ErrorHandler`
      Receive notification of a recoverable error.

      This corresponds to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a validating parser would use this callback to report the violation of a validity constraint. The default behaviour is to take no action.

      The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end. If the application cannot do so, then the parser should report a fatal error even if the XML recommendation does not require it to do so.

      Filters may use this method to report other, non-XML errors as well.

      Specified by:
        `error` in interface `org.xml.sax.ErrorHandler`
      Parameters:
        `e` - The error information encapsulated in a SAX parse exception.
      Throws:
        `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
      See Also:
        `SAXParseException`

    - #### fatalError

          public void fatalError(org.xml.sax.SAXParseException e)
                          throws org.xml.sax.SAXException

      Description copied from interface: `org.xml.sax.ErrorHandler`
      Receive notification of a non-recoverable error.

      There is an apparent contradiction between the documentation for this method and the documentation for `ContentHandler.endDocument()`. Until this ambiguity is resolved in a future major release, clients should make no assumptions about whether endDocument() will or will not be invoked when the parser has reported a fatalError() or thrown an exception.

      This corresponds to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a parser would use this callback to report the violation of a well-formedness constraint.

      The application must assume that the document is unusable after the parser has invoked this method, and should continue (if at all) only for the sake of collecting additional error messages: in fact, SAX parsers are free to stop reporting any other events once this method has been invoked.

      Specified by:
        `fatalError` in interface `org.xml.sax.ErrorHandler`
      Parameters:
        `e` - The error information encapsulated in a SAX parse exception.
      Throws:
        `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
      See Also:
        `SAXParseException`

    - #### warning

          public void warning(org.xml.sax.SAXParseException e)
                       throws org.xml.sax.SAXException

      Description copied from interface: `org.xml.sax.ErrorHandler`
      Receive notification of a warning.

      SAX parsers will use this method to report conditions that are not errors or fatal errors as defined by the XML recommendation. The default behaviour is to take no action.

      The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end.

      Filters may use this method to report other, non-XML warnings as well.

      Specified by:
        `warning` in interface `org.xml.sax.ErrorHandler`
      Parameters:
        `e` - The warning information encapsulated in a SAX parse exception.
      Throws:
        `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
      See Also:
        `SAXParseException`

    - #### getErrorHandler

          protected abstract org.apache.xerces.xni.parser.XMLErrorHandler getErrorHandler()

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.